16.20 - Dependencies - Data Stream Utility

Teradata® DSA - DSU Installation, Configuration, and Upgrade Guide

prodname
BAR
Data Stream Architecture
Data Stream Utility
vrm_release
16.20
created_date
September 2019
category
Configuration
Installation
featnum
B035-3153-127K

DSC Server Software Specifications

Software Level
Operating system Teradata SUSE Linux Enterprise Server 11 SP3
This version is based on the original installation media and customized by Teradata OS Engineering for installation on Teradata Enterprise Data Warehouse systems.
Teradata NewSQL Engine / Teradata Database (for the DSC repository) These versions are available for the DSC repository:
  • Teradata Database 15.10.03.xx or later for SLES 11 SP3
  • NewSQL Engine 16.20 Feature Update 2 for SLES 11 SP3
    DSA 16.20.50 or later can use either version for the repository.
Teradata JDK package Install JRE on any server where BARCmdline is installed. All must install Version 7. If you have 16.20.24 and later you must also install Version 8.

[DSA 16.20.24.xx and later] Version 8 (teradata-jdk8)

[DSA 16.20.23.xx and earlier] Version 7 (teradata-jdk7)

Teradata ActiveMQ [DSA 16.20.51 and later] Version 5.15.9 or later (requires Teradata JDK Version 8)

[DSA 16.20.50 and earlier] Version 5.13.1

DSAPostAMQ Required to configure Teradata ActiveMQ
  • The Teradata Managed Server for DSC Server functionality can reside on a virtual machine (VM) or a managed storage server.
  • The Relay Services Gateway (RSG) virtual processor is required for DSA installation for both the TPA nodes and the DSC Server. Configure the RSG virtual processor for your installation, but do not install the RSG package.

Media Server Software Specifications

Software Level
Operating system SUSE Linux Enterprise Server 11 SP3

[IBM Spectrum Protect only] SUSE Linux Enterprise Server 12 SP3 (required)

Teradata JRE Teradata JRE is required only if the DSA command line (BARCmdline) is installed on this server.

Related Software Specifications

Teradata Managed Storage Server (TMSS) - Software Specifications

Software for the R720xd, R730xd, and R740xd servers

Software Description
nfsserver Manages an NFS environment
A CMIC upgrade to Version 11.06 or later is required.